Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 26/11/2021, à 15:14

Utiiile

Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Bonjour,

je fais du montage vidéo avec Davinci. Le logiciel ne lis pas les fichiers MTS, il ne s'affiche que le son.
J'utilise donc Shutter Encoder pour tout encoder en DHnRX.mov. et ensuite je peux faire mon montage sur Davinci.

Mais je rencontre un autre problème : j'ai essayé de convertir mes fichiers viéos .MTS de 50images/secondes en 25i/s.
Et Shutter Encoder m'affiche le message d'erreur : Unknown encoder 'pcm_bluray'

J'ai crus comprendre que ca venais de Libfaac,
j'ai lu qu'il fallait re-compiler ffmpeg spécialement pour que Libfaac fonctionne correctement...
Mais là je ne comprend pas ce qu'il faut faire exactement....

voila si jamais vous avez des pistes, des solutions je suis preneuse !
Et vous devrais une reconnaissance éternelle !

Hors ligne

#2 Le 26/11/2021, à 15:39

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Bonjour , pour rencoder tes fichiers as tu essayer VLC , avidemux ou handbrake ?
un lien peut etre utile : https://www.deleze.name/marcel/video/co … /m2ts.html

compiler , ca veut dire creer un nouveau fichier binaire executable de façon a prendre en charge de nouvelles options . c ' est un peu complexe quand on ne connait pas trop .
il faut d' abord installer les outils indispensable a la compilation , supprimer proprement l' ancien logiciel , trouver les sources du nouveau logiciel , se documenter afin de recuperer les bonnes options de compilation , puis recompiler , et finalement installer big_smile

De mon coté , je fais ca avec VLC , c ' est plutot simple et assez rapide , apres tout depend de la taille video d ' origine .

Dernière modification par iznobe (Le 26/11/2021, à 15:43)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#3 Le 26/11/2021, à 18:08

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Et ben je viens de regardez ces logiciels mais ca ne convient pas vraiment.
Il ne faut pas de compression sur les fichiers vidéos, c'est pour ca que je ne passe pas par le mp4.
j'utilise des codec de montages (DHnRX.mov) pour garder la qualité de l'audio et de la vidéo la meilleure possible.

j'ai trouvé ça sur le forum : https://forum.ubuntu-fr.org/viewtopic.php?id=439704

Mais je ne suis pas sur que ca soit la solution, et il faudrait que je me penche sur la compilation...

Hors ligne

#4 Le 26/11/2021, à 18:38

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

il me semble que avidemux et vlc , propose de faire cela sans compression .


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#5 Le 26/11/2021, à 19:01

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Le problème ce n'est pas t'en le logiciel, c'est le format de vidéo .MP4 qui est un format de compression.
Le .MTS est un fichier RAW qui garde toutes données brutes du capteur.
c'est comme en photo quand on a une image .TIFF (raw) et qu'on passe au .jpg qui est un format de compression
ou encore les fichier son quand on passe du .wave au .mp3 ou .ogg.

Pour preuve j'ai mon fichier .MTS qui fait 96 Mo et une fois encodé avec VLC en .mp4 j'ai plus que 17 Mo.

D'ou l'importance de ré-encoder ffmpeg avec la configuration Libfaac qui me permetra peux etre d'utiliser Davinci normalement et directement avec les fichier .MTS
Enfin je suppose. j'espère. et c'est pour ca que j'ai besoin d'aide je ne sais pas du tout comment ca fonctionne. Juste suprimer un logiciel totalement et proprement si ce n'est pas avec apt-get remove et apt-get purge
je ne sais pas comment ca fonctionne.
Et il y a tellement de configuration de ffmpeg :

 --prefix=/usr --extra-version=4ubuntu1 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --arch=amd64 --enable-gpl --disable-stripping --enable-avresample --disable-filter=resample --enable-gnutls 
--enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libdav1d --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme 
--enable-libgsm --enable-libjack --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librabbitmq --enable-librsvg --enable-librubberband --enable-libshine --enable-libsnappy 
--enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxml2 --enable-libxvid 
--enable-libzmq --enable-libzvbi --enable-lv2 --enable-omx --enable-openal --enable-opencl --enable-opengl --enable-sdl2 --enable-pocketsphinx --enable-libmfx --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-nvenc --enable-
chromaprint --enable-frei0r --enable-libx264 --enable-shared
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=4ubuntu1 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --arch=amd64 --enable-gpl --disable-stripping --enable-avresample --disable-filter=resample
 --enable-gnutls --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libdav1d --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi 
--enable-libgme --enable-libgsm --enable-libjack --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librabbitmq --enable-librsvg --enable-librubberband --enable-libshine 
--enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxml2 
--enable-libxvid --enable-libzmq --enable-libzvbi --enable-lv2 --enable-omx --enable-openal --enable-opencl --enable-opengl --enable-sdl2 --enable-pocketsphinx --enable-libmfx --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-nvenc 
--enable-chromaprint --enable-frei0r --enable-libx264 --enable-shared --enable-version3 --disable-doc --disable-programs --enable-libaribb24 --enable-liblensfun --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libtesseract --enable-
libvo_amrwbenc
  libavutil      56. 51.100 / 56. 51.100
  libavcodec     58. 91.100 / 58. 91.100
  libavformat    58. 45.100 / 58. 45.100
  libavdevice    58. 10.100 / 58. 10.100
  libavfilter     7. 85.100 /  7. 85.100
  libavresample   4.  0.  0 /  4.  0.  0
  libswscale      5.  7.100 /  5.  7.100
  libswresample   3.  7.100 /  3.  7.100
  libpostproc    55.  7.100 / 55.  7.100
Hyper fast Audio and Video encoder

que j'ai peur de ne pas réussir à tous les remettre en compilant. Donc c'est surtout de l'aide à la compilation de ffmpeg que je cherche car le tuto sur ubuntu ne semble plus exister...
en tout cas le liens que j'ai trouvé est mort.
Et surtout est ce qu'on est obligé de passé par une compilation pour rajouter une configuration ?

Dernière modification par Utiiile (Le 26/11/2021, à 19:15)

Hors ligne

#6 Le 26/11/2021, à 19:35

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

la commande pour desinstaller un logiciel completement est :

sudo apt remove --purge NomDuLogiciel

dans ton cas ca devrait donc etre :

sudo apt remove --purge ffmpeg

Pour la compilation il faut d ' abord installer les outils necessaire car ils ne le sont pas par defaut :

sudo apt install build-essential

ensuite il faut trouver dans la doc de ffmpeg , la façon de compiler en " standard " puis d ' y ajouter l ' option que tu as besoin au bon endroit .

Ca parait un peu difficile ,et ca fait un peu peur , mais en y allant doucement ca le fait big_smile
de toute façon si a la sortie ca n' est pas bon , tu peux toujours recompiler et nettoyer ce que tu as fait avant .

un lien qui surement te serviras : https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu

n hesites pas a reperer les taches a effectuer , quitte a faire ton propre guide dans un fichier text avant et lire plusieurs fois , selon la version de ubuntu il ya des commandes suplementaires ou differentes a passer .

Pour eviter de compiler plusieurs fois , tu pourrais decider d ' installer toutes les options .

Remarque : a chaque changement de version d ' ubuntu , tu devras alors recompiler a la main ffmpeg , car le systeme ne sait pas gerer les mises a jour de paquets installés de cette maniere .

Dernière modification par iznobe (Le 26/11/2021, à 19:41)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#7 Le 27/11/2021, à 17:27

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Bon je me lance !
Mais pour les configurations, il y en a bien moi indiqué sur le liens que tu m'as envoyé qu'il y en avait en installant ffmpeg "classiquement" c'est normal ...?

Hors ligne

#8 Le 27/11/2021, à 17:41

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Bonsoir , je n' ai pas trop creusé la question a vrai dire , je n' ai jamais compile ffmpeg , il se peut que ce soit pour des versions differentes de ffmpeg .
il faudrait comparer .

tu veux dire avec le post du forum que tu as trouvé ? celui -ci : https://forum.ubuntu-fr.org/viewtopic.php?id=439704 dans lequel ils disent :

$ ffmpeg
    FFmpeg version UNKNOWN, Copyright (c) 2000-2011 the FFmpeg developers
      built on Jan 21 2011 12:18:36 with gcc 4.5.2
      configuration: --prefix=/usr --enable-gpl --enable-libmp3lame --enable-libvorbis --enable-libfaac --enable-libxvid --enable-libx264 --enable-libvpx --enable-libtheora --enable-postproc --enable-shared --enable-x11grab --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libschroedinger --enable-libopenjpeg --enable-version3 --enable-nonfree --enable-runtime-cpudetect --disable-debug
      libavutil    50. 36. 0 / 50. 36. 0
      libavcore     0. 16. 1 /  0. 16. 1
      libavcodec   52.108. 0 / 52.108. 0
      libavformat  52. 94. 0 / 52. 94. 0
      libavdevice  52.  2. 3 / 52.  2. 3
      libavfilter   1. 74. 0 /  1. 74. 0
      libswscale    0. 12. 0 /  0. 12. 0
      libpostproc  51.  2. 0 / 51.  2. 0
    Hyper fast Audio and Video encoder
    usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

    Use -h to get full help or, even better, run 'man ffmpeg'

?

si c' est bien cela , les options :

configuration: --prefix=/usr --enable-gpl --enable-libmp3lame --enable-libvorbis --enable-libfaac --enable-libxvid --enable-libx264 --enable-libvpx --enable-libtheora --enable-postproc --enable-shared --enable-x11grab --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libschroedinger --enable-libopenjpeg --enable-version3 --enable-nonfree --enable-runtime-cpudetect --disable-debug

Apparté : il y a des formats video avec perte et des formats sans perte , comme FLAC => MP3 , meme avec la meillure qualité il y aura toujours une perte de qualité ( imperceptible pour l' oreille humaine ) et de poids donc qui va avec la compression .

Pour ton rencodage , il faut donc choisir un format sans perte , que le logiciel supporte en sortie et que celui que tu vas utiliser apres accepte en entrée .


Remarques :
1°) pour compiler il faut etre maitre dans l ' art du copier coller tongue si tu penses rentrer les commandes a la main oublie desuite .
2°) avant de commencer , cree un repertoire dans ton /home pour ce travail specifique :

mkdir ~/ffmpeg

puis place toi dedans avant de commencer :

cd ~/ffmpeg

Dernière modification par iznobe (Le 27/11/2021, à 17:55)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#9 Le 27/11/2021, à 19:15

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

j'ai suivit le tuto pour essayé en rajoutant juste --enable libfaac
mais il m'affiche ERROR: libfaac not found.
j'ai installé libfaac-dev et la même ERROR: libfaac-dev not found.
J'ai même essayé avec libfaac0...
bref...
j'essais sans des fois que ca règle mon problème...

Hors ligne

#10 Le 27/11/2021, à 19:27

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

il faudrait etre plus concise , en donnant la commande que tu as passé et son retour , sinon , on ne sait pas vraiment ce que tu as demandé de faire qui ne va pas .
as tu passé les commandes que je t ' ai indiqué ?
tu peux aussi faire des copier coller complet de ton essai de compilation ici meme , ca sera lus facile pour te dire quoi faire quand ca ne va pas .
je pense que c ' est pour toi la meilleure façon a la quelle on pourra t' assister .

commence par presenter les retour des 2 1eres commandes que je t ' ai indiqué puis , recopie les commandes et retour du tuto ici , je pourrais te guider en cas de soucis .

Dernière modification par iznobe (Le 27/11/2021, à 19:28)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#11 Le 27/11/2021, à 19:47

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Désolé, j'ai suivit le lien que tu m'a envoyé : https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu

juste avant de passer a la compilation de ffmpeg, j'ai rajouté :

apt-get install libfaac0

Puis j'ai lancé

cd ~/ffmpeg_sources && \
wget -O ffmpeg-snapshot.tar.bz2 https://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2 && \
tar xjvf ffmpeg-snapshot.tar.bz2 && \
cd ffmpeg && \
PATH="$HOME/bin:$PATH" PKG_CONFIG_PATH="$HOME/ffmpeg_build/lib/pkgconfig" ./configure \
  --prefix="$HOME/ffmpeg_build" \
  --pkg-config-flags="--static" \
  --extra-cflags="-I$HOME/ffmpeg_build/include" \
  --extra-ldflags="-L$HOME/ffmpeg_build/lib" \
  --extra-libs="-lpthread -lm" \
  --ld="g++" \
  --bindir="$HOME/bin" \
  --enable-gpl \
  --enable-gnutls \
  --enable-libaom \
  --enable-libass \
  --enable-libfaac \
  --enable-libfdk-aac \
  --enable-libfreetype \
  --enable-libmp3lame \
  --enable-libopus \
  --enable-libsvtav1 \
  --enable-libdav1d \
  --enable-libvorbis \
  --enable-libvpx \
  --enable-libx264 \
  --enable-libx265 \
  --enable-nonfree && \
PATH="$HOME/bin:$PATH" make && \
make install && \
hash -r

donc j'ai eu ce codre d'erreur : ERROR: libfaac not found
J'ai refait la même opréation en changeant le nom :

cd ~/ffmpeg_sources && \
wget -O ffmpeg-snapshot.tar.bz2 https://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2 && \
tar xjvf ffmpeg-snapshot.tar.bz2 && \
cd ffmpeg && \
PATH="$HOME/bin:$PATH" PKG_CONFIG_PATH="$HOME/ffmpeg_build/lib/pkgconfig" ./configure \
  --prefix="$HOME/ffmpeg_build" \
  --pkg-config-flags="--static" \
  --extra-cflags="-I$HOME/ffmpeg_build/include" \
  --extra-ldflags="-L$HOME/ffmpeg_build/lib" \
  --extra-libs="-lpthread -lm" \
  --ld="g++" \
  --bindir="$HOME/bin" \
  --enable-gpl \
  --enable-gnutls \
  --enable-libaom \
  --enable-libass \
  --enable-libfaac0 \
  --enable-libfdk-aac \
  --enable-libfreetype \
  --enable-libmp3lame \
  --enable-libopus \
  --enable-libsvtav1 \
  --enable-libdav1d \
  --enable-libvorbis \
  --enable-libvpx \
  --enable-libx264 \
  --enable-libx265 \
  --enable-nonfree && \
PATH="$HOME/bin:$PATH" make && \
make install && \
hash -r

même problème.
Donc j'ai installé avec apt-get install libfaac-dev
et j'ai relancé la même opération avec celui la et même erreur.

Hors ligne

#12 Le 27/11/2021, à 20:03

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

ok , bon reprenons depuis le debut , que donne :

uname -a
lsb_release -id

et as tu passé la 1er commande du tuto : ?

sudo apt-get update -qq && sudo apt-get -y install \
  autoconf \
  automake \
  build-essential \
  cmake \
  git-core \
  libass-dev \
  libfreetype6-dev \
  libgnutls28-dev \
  libmp3lame-dev \
  libsdl2-dev \
  libtool \
  libva-dev \
  libvdpau-dev \
  libvorbis-dev \
  libxcb1-dev \
  libxcb-shm0-dev \
  libxcb-xfixes0-dev \
  meson \
  ninja-build \
  pkg-config \
  texinfo \
  wget \
  yasm \
  zlib1g-dev

retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#13 Le 27/11/2021, à 20:17

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

D ' apres cette page : https://trac.ffmpeg.org/wiki/Encode/AAC on dirait bien libfaac a été remplacé par : libfdk_aac .


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#14 Le 27/11/2021, à 20:21

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

oh....tout s'explique... ah ha.
Donc tout est déjà bon et le problème ne viendrait pas de là....
En tout cas merci du soutient ! j'ai une première approche de la compilation XD

Hors ligne

#15 Le 27/11/2021, à 20:27

iznobe

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

ca me parait tout de meme etonnant que l ' encodeur AAC par defaut ne fonctionne pas avec ton programme , tu pourrais nous mettre des screens ou les retours de commande des programmes que tu utilises et de ce qui ne te convient pas ?
Pour Davinci j ' ai compris , mais le programme de re-encodage , je suis plutot sceptique , y a forcement une solution plus simple que de recompiler ffmpeg .

Dernière modification par iznobe (Le 27/11/2021, à 20:29)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#16 Le 28/11/2021, à 22:09

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Voila ce qu'il me dis pour Shutter encoder.
Je choisi mon média en .MTS et choisi l'option conformer pour passer de 50 i/s en 25 i/s
https://i.imgur.com/YjZIU8A.png


Modération : merci d'utiliser des images de petite taille (300x300) ou des miniatures pointant sur ces images.

Dernière modification par cqfd93 (Le 28/11/2021, à 22:45)

Hors ligne

#17 Le 29/11/2021, à 00:44

Coeur Noir

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Bienvenue dans le monde des codecs et conteneurs propriétaires, merci Avid, Sony, Panasonic, Apple et quelques autres.

Attention aux dénominations aussi, DNxHR, DNxHD, AVCHD, etc.

Diverses pistes et doc's :
https://forum.blackmagicdesign.com/view … 1&t=110945
https://askubuntu.com/questions/907398/ … xhr-format
https://www.tal.org/tutorials/ffmpeg_convert_to_dnxhd
https://dovidenko.com/2019/999/ffmpeg-d … media.html
https://resources.avid.com/SupportFiles … sGuide.pdf

En fonction de tes fichiers « source » de travail, est-ce que les « formats » ProRes ou CineForm sont une option envisageable ? Je suis un peu surpris que tu parles de .mts, lui c'est pas plutôt un conteneur pour AVCHD ?
Les 2 je crois sont pris en charge par ffmpeg, donc une petite chance que ça passe crème dans resolve free.

Garder à l'esprit aussi que la version free n'inclut pas tous les codecs d'une part, et que tous les codecs notamment les propriétaires n'ont pas forcément d'équivalent sous Linux. Idem pour les bibliothèques d'effets.
Et à priori AViD n'a rien fourni pour DNxH- sous Linux - la communauté s'en débrouille probablement par ingénierie inverse, sans doute ce qu'a fait ffmpeg pour DNxH-

Resolve est un très bel outil - tu devrais aussi t'intéresser à Kdenlive, Shotcut et Handbrake ( entre autres ) qui eux sont conçus à la base pour Linux ( mais pas exclusivement ).
Sans parler d'y faire tout ton boulot d'édition, ces logiciels te permettront sans doute de préparer tes fichiers de travail, pour ensuite les parachever dans Resolve…

Je viens de cette discussion, en fait : https://forum.ubuntu-fr.org/viewtopic.p … #p22510250

Est-ce qu'un maximum de codecs sont installés sur ton système Linux ? Pour le savoir :

dpkg -l | grep stream | grep -Ei "base|good|bad|ugly"

Et recommandation toujours utile - et d'autant plus quand il s'agit de questions autour du multi-média « avancé » en constante évolution - toujours regarder la date des messages ;-)
Exhumer un message de 2011 en ce qui concerne ffmpeg, c'est de l'archéologie !

Dernière modification par Coeur Noir (Le 29/11/2021, à 01:37)


DébuterDocBien rédigerRetour commandeInsérer image | illustrations & captures d'écran <>

En ligne

#18 Le 29/11/2021, à 12:24

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Wahou merci pour les réponses !
J'ai lu quelque site mais, j'ai déjà lu pas mal de choses comme ca...

J'ai long temps utilisé Kdenlive, j'ai un peu utilisé shotcut.
Mais vraiment Davinci est beaucoup plus efficace et rapide pour chacune des tache qu'on lui demande.
je suis en étude d'art (option vidéo) et je suis une formation Davinci (je suis un peu vendu...=/ ).
Mais le mec de la fomartion n'est pas du tout un utilisateur de ubuntu. Aucun de mes profs mêmê.
Ce qui est toujours compliqué à affirmer.
Donc pour le moment je tiens à faire fonctionner Davinci.

Ma coloc est sous Davinci aussi avec la version free mais sous mac.
Et pour elle tout marche et elle utilise aussi les .MTS car on utilise les même caméras.

Sur pas mal de forum il est dis que ca vient de la version free, ce bug de lecture
mais aucune doc du site de davinci parle de cette différence entre la version free et non free.
http://www.acrok.com/davinci-resolve-supported-formats/

Je me demande si c'est pas un soucis d'installation, je crois qu'il n'utilise ou ne trouve pas ffmpeg du tout.....

Pour la commande dpkg ca donne ça :

lulu@TheListLu:~$ dpkg -l | grep stream | grep -Ei "base|good|bad|ugly"
ii  gstreamer1.0-plugins-base:amd64               1.18.0-2ubuntu0.1                           amd64        GStreamer plugins from the "base" set
ii  gstreamer1.0-plugins-base:i386                1.18.0-2ubuntu0.1                           i386         GStreamer plugins from the "base" set
ii  gstreamer1.0-plugins-good:amd64               1.18.0-1ubuntu1.1                           amd64        GStreamer plugins from the "good" set
ii  gstreamer1.0-plugins-good:i386                1.18.0-1ubuntu1.1                           i386         GStreamer plugins from the "good" set
ii  libgstreamer-plugins-base1.0-0:amd64          1.18.0-2ubuntu0.1                           amd64        GStreamer libraries from the "base" set
ii  libgstreamer-plugins-base1.0-0:i386           1.18.0-2ubuntu0.1                           i386         GStreamer libraries from the "base" set
ii  libgstreamer-plugins-good1.0-0:amd64          1.18.0-1ubuntu1.1                           amd64        GStreamer development files for libraries from the "good" set
ii  libgstreamer-plugins-good1.0-0:i386           1.18.0-1ubuntu1.1                           i386         GStreamer development files for libraries from the "good" set
ii  vlc-plugin-base:amd64                         3.0.11.1-2                                  amd64        multimedia player and streamer (base plugins)

Mais faut savoir que VLC lui n'a aucune problème pour lire le .MTS

voili voila =/

Hors ligne

#19 Le 29/11/2021, à 14:03

Coeur Noir

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Il te manque des codecs, là tu n'as que les packs base et good, c.à.d ceux qui sont libres, open-source, à licence permissive, courants et stables.

Tu devrais ajouter :

sudo apt install gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly

qui regroupent les codecs plus rares, à licences diverses, parfois expérimentaux.

Par acquit de conscience, donne le retour de

dpkg -l | grep -Ei "quicktime|ffmpeg"

qu'on voit si tu as les paquets nécessaires.

Ou lance un

sudo apt install ffmpeg quicktime-utils quicktime-x11utils gstreamer1.0-libav

au pire, le système te dira si c'est déjà installé.

VLC intègre nombre de codecs, c'est justement sa force, il dépend moins de ce qui est préalablement installé sur le système hôte.


DébuterDocBien rédigerRetour commandeInsérer image | illustrations & captures d'écran <>

En ligne

#20 Le 29/11/2021, à 14:20

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

voila voila :

lulu@TheListLu:~$ dpkg -l | grep -Ei "quicktime|ffmpeg"
ii  ffmpeg                                        7:4.3.1-4ubuntu1                            amd64        Tools for transcoding, streaming and playing of multimedia files
ii  ffmpeg2theora                                 0.30-2                                      amd64        Theora video encoder using ffmpeg
ii  ffmpegthumbs                                  4:20.08.1-0ubuntu1                          amd64        video thumbnail generator using ffmpeg
ii  gstreamer1.0-libav:amd64                      1.18.0-1                                    amd64        ffmpeg plugin for GStreamer
ii  libavcodec-extra:amd64                        7:4.3.1-4ubuntu1                            amd64        FFmpeg library with extra codecs (metapackage)
ii  libavcodec-extra58:amd64                      7:4.3.1-4ubuntu1                            amd64        FFmpeg library with additional de/encoders for audio/video codecs
ii  libavcodec-extra58:i386                       7:4.3.1-4ubuntu1                            i386         FFmpeg library with additional de/encoders for audio/video codecs
ii  libavdevice58:amd64                           7:4.3.1-4ubuntu1                            amd64        FFmpeg library for handling input and output devices - runtime files
ii  libavfilter7:amd64                            7:4.3.1-4ubuntu1                            amd64        FFmpeg library containing media filters - runtime files
ii  libavformat58:amd64                           7:4.3.1-4ubuntu1                            amd64        FFmpeg library with (de)muxers for multimedia containers - runtime files
ii  libavresample4:amd64                          7:4.3.1-4ubuntu1                            amd64        FFmpeg compatibility library for resampling - runtime files
ii  libavutil56:amd64                             7:4.3.1-4ubuntu1                            amd64        FFmpeg library with functions for simplifying programming - runtime files
ii  libavutil56:i386                              7:4.3.1-4ubuntu1                            i386         FFmpeg library with functions for simplifying programming - runtime files
ii  libffms2-4:amd64                              2.23-4build1                                amd64        Cross platform ffmpeg wrapper library
ii  libpostproc55:amd64                           7:4.3.1-4ubuntu1                            amd64        FFmpeg library for post processing - runtime files
ii  libquicktime2:amd64                           2:1.2.4-12build4                            amd64        library for reading and writing Quicktime files
ii  libswresample3:amd64                          7:4.3.1-4ubuntu1                            amd64        FFmpeg library for audio resampling, rematrixing etc. - runtime files
ii  libswresample3:i386                           7:4.3.1-4ubuntu1                            i386         FFmpeg library for audio resampling, rematrixing etc. - runtime files
ii  libswscale5:amd64                             7:4.3.1-4ubuntu1                            amd64        FFmpeg library for image scaling and various conversions - runtime files
ii  quicktime-utils                               2:1.2.4-12build4                            amd64        library for reading and writing Quicktime files (utilities)
ii  quicktime-x11utils                            2:1.2.4-12build4                            amd64        library for reading and writing Quicktime files (x11 utilities)

Hors ligne

#21 Le 29/11/2021, à 14:43

Coeur Noir

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Donc ok tu as ce qu'il faut concernant ffmpeg et quicktime.

Qu'en est-il des plugins gstreamer bad et ugly ? Les codecs « avancés, rares, expérimentaux » sont dans ces packs, donc installe les.


DébuterDocBien rédigerRetour commandeInsérer image | illustrations & captures d'écran <>

En ligne

#22 Le 29/11/2021, à 14:49

Utiiile

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Je les ai installé... déjà...

Hors ligne

#23 Le 29/11/2021, à 14:59

Coeur Noir

Re : Shutter Encoder Unknown encoder 'pcm_bluray' Libfaac

Alors ton système est dorénavant mieux armé.
Refais des essais maintenant que tu as davantage de codecs installés.

Reste à
⋅ comprendre ce qu'attend et peut traiter resolve free comme codec et conteneurs sous Linux,
⋅ préparer tes sources de travail dans le couple codec conteneur idéal pour resolve free.

Pour ça il te faudra sans doute passer par des conversions via ffmpeg ou handbrake ou kdenlive ou shotcut.
Conversions qu'il faudra paramétrer proprement afin de garder la meilleure qualité.

Note qu'un conteneur mp4 avec codec h264 peut produire des fichiers qualitatifs qui seront très lourds - c'est paramétrable.


DébuterDocBien rédigerRetour commandeInsérer image | illustrations & captures d'écran <>

En ligne